n = int(input())
m = int(input())
k = int(input())

if n >= 10**9:
    print("Это число слишком велико")
if n <= 1:
    print("Это число слишком мало")

if m >= 10**9:
    print("Это число слишком велико")
if m <= 1:
    print("Это число слишком мало")

if k >= 10**9:
    print("Это число слишком велико")
if k <= 1:
    print("Это число слишком мало")

if n % k == 0:
    a = n // k
else:
    a = n // k + 1

if m % k == 0:
    b = m // k
else:
    b = n // k + 1

print(a * b)
